Toybrick

Windows无法运行Yolov3 demo

wenlingli89

新手上路

积分
42
发表于 2019-9-19 17:31:29    查看: 8118|回复: 5 | [复制链接]    打印 | 显示全部楼层
Windows 环境已经搭建OK,使用RKNN 1.1.0版本Python已安装
双击运行Run_yolov3无法显示demo画面,具体报错信息如下:
C:\Users\GN5\Desktop\win_rknn_env\win_rknn_env\yolov3>python rknn_camera_tiny_multiProcess.py
Traceback (most recent call last):
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "rknn_camera_tiny_multiProcess.py", line 8, in <module>
    from rknn.api import RKNN
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\rknn\__init__.py", line 1, in <module>
    from rknn import api
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\rknn\api\__init__.py", line 1, in <module>
    from rknn.api.rknn import RKNN
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\rknn\api\rknn.py", line 16, in <module>
    from .rknn_base import RKNNBase
  File "rknn\api\rknn_base.py", line 13, in init rknn.api.rknn_base
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\rknn\base\acuitylib\__init__.py", line 1, in <module>
    from acuitylib.optimize.optimizer import Optimizer
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\rknn\base\acuitylib\__init__.py", line 1, in <module>
    from acuitylib.optimize.optimizer import Optimizer
  File "rknn\base\acuitylib\optimize\optimizer.py", line 13, in init rknn.base.acuitylib.optimize.optimizer
  File "rknn\base\acuitylib\optimize\rules\merge_layer.py", line 3, in init rknn.base.acuitylib.optimize.rules.merge_layer
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\rknn\base\acuitylib\layer\__init__.py", line 2, in <module>
    from acuitylib.layer.add import *
  File "rknn\base\acuitylib\layer\add.py", line 1, in init rknn.base.acuitylib.layer.add
  File "rknn\base\acuitylib\layer\acuitylayer.py", line 3, in init rknn.base.acuitylib.layer.acuitylayer
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\__init__.py", line 28, in <module>
    from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\__init__.py", line 49, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 74, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "C:\Users\GN5\AppData\Local\Programs\Python\Python36\lib\imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: DLL load failed: A dynamic link library (DLL) initialization routine failed.




Failed to load the native TensorFlow runtime.


See https://www.tensorflow.org/install/errors


for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.

回复

使用道具 举报

troy

版主

积分
2370
发表于 2019-9-20 08:33:52 | 显示全部楼层
pip3 list贴一下TensorFlow的版本,这信息好像是TensorFlow库报错,也可以尝试pip3 install --upgrade tensorflow升级一下看看。
回复

使用道具 举报

wenlingli89

新手上路

积分
42
 楼主| 发表于 2019-9-20 11:41:24 | 显示全部楼层
troy 发表于 2019-9-20 08:33
pip3 list贴一下TensorFlow的版本,这信息好像是TensorFlow库报错,也可以尝试pip3 install --upgrade tens ...

TensorFlow的版本是1.14.0
回复

使用道具 举报

wenlingli89

新手上路

积分
42
 楼主| 发表于 2019-9-20 11:47:49 | 显示全部楼层
wenlingli89 发表于 2019-9-20 11:41
TensorFlow的版本是1.14.0

应该这个就是最新的版本了
回复

使用道具 举报

troy

版主

积分
2370
发表于 2019-9-20 14:29:34 | 显示全部楼层
wenlingli89 发表于 2019-9-20 11:47
应该这个就是最新的版本了

你的环境是根据wiki用脚本搭建的吗,之前的环境是不是纯净的,有没有安装过TensorFlow或者其他相关的东西。还有你的是win7还是win10?
回复

使用道具 举报

wenlingli89

新手上路

积分
42
 楼主| 发表于 2019-9-20 14:39:50 | 显示全部楼层
troy 发表于 2019-9-20 14:29
你的环境是根据wiki用脚本搭建的吗,之前的环境是不是纯净的,有没有安装过TensorFlow或者其他相关的东西 ...

系统os:Win10 1903 64bit
系统只根据WiKi教程里的步骤做了Windows环境安装的相关软件以及Python,没有在额外的安装其他的软件
RK1808计算棒也更新了最新的FW
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

产品中心 购买渠道 开源社区 Wiki教程 资料下载 关于Toybrick


快速回复 返回顶部 返回列表